Debian Bug report logs - #722429
ITP: osmctools -- Some tools to manipulate OpenStreetMap files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Pierre Blanc <pierreblanc75@gmail.com>

Date: Tue, 10 Sep 2013 21:09:02 UTC

Owned by: Pierre Blanc <pierreblanc75@gmail.com>

Severity: wishlist

Fixed in version osmctools/0.1-1

Done: Pierre Blanc <pierreblanc75@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#722429; Package wnpp. (Tue, 10 Sep 2013 21:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Blanc <pierreblanc75@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 10 Sep 2013 21:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Blanc <pierreblanc75@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: osmctools -- Some tools to manipulate OpenStreetMap files
Date: Tue, 10 Sep 2013 23:11:47 +0200
Package: wnpp
Severity: wishlist
Owner: Pierre Blanc <pierreblanc75@gmail.com>

* Package name    : osmctools
  Version         : 0.1
  Upstream Author : Markus Weber <markus.weber@gmx.com>
* URL             : http://gitorious.org/osm-c-tools/
* License         : AGPL-3
  Programming Lang: C
  Description     : Some tools to manipulate OpenStreetMap files

Small collection of basic OpenStreetMap tools, include converter, filter and 
updater files. 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Pierre Blanc <pierreblanc75@gmail.com>:
Bug#722429; Package wnpp. (Wed, 11 Sep 2013 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Pierre Blanc <pierreblanc75@gmail.com>. (Wed, 11 Sep 2013 10:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 722429@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Pierre Blanc <pierreblanc75@gmail.com>, 722429@bugs.debian.org
Cc: Debian GIS Project <debian-gis@lists.debian.org>
Subject: Re: Bug#722429: ITP: osmctools -- Some tools to manipulate OpenStreetMap files
Date: Wed, 11 Sep 2013 12:17:20 +0200
Hi Pierre,

thanks for your ITP.  The package seems to fit nicely into the Debian GIS
scope which just has assembled a lot of OSM packages as you can see here:

   http://blends.alioth.debian.org/gis/tasks/osm     [1]

So it would make perfectly sense if you also would join the Debian GIS
team on alioth

   https://alioth.debian.org/projects/pkg-grass/

and put the packaging into the according VCS.  The advantage you have by
doing so is that your package will immediately advertised automatically
at the tasks page[1] above in the "started in VCS" section (since I just
added the osmctools entry into the according tasks file).  Another
advantage would be to have way better chances to find a sponsor for your
package.

Regarding the ITP itself I think you should be more verbose in the long
description, what these tools are doing, what the converters are
converting, etc.

Kind regards

       Andreas.

On Tue, Sep 10, 2013 at 11:11:47PM +0200, Pierre Blanc wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Pierre Blanc <pierreblanc75@gmail.com>
> 
> * Package name    : osmctools
>   Version         : 0.1
>   Upstream Author : Markus Weber <markus.weber@gmx.com>
> * URL             : http://gitorious.org/osm-c-tools/
> * License         : AGPL-3
>   Programming Lang: C
>   Description     : Some tools to manipulate OpenStreetMap files
> 
> Small collection of basic OpenStreetMap tools, include converter, filter and 
> updater files. 

-- 
http://fam-tille.de



Added blocking bug(s) of 722429: 722450 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 11 Sep 2013 16:27:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 17 Oct 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Pierre Blanc <pierreblanc75@gmail.com>:
You have taken responsibility. (Fri, 29 Nov 2013 17:03:08 GMT) Full text and rfc822 format available.

Notification sent to Pierre Blanc <pierreblanc75@gmail.com>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 17:03:08 GMT) Full text and rfc822 format available.

Message #19 received at 722429-close@bugs.debian.org (full text, mbox):

From: Pierre Blanc <pierreblanc75@gmail.com>
To: 722429-close@bugs.debian.org
Subject: Bug#722429: fixed in osmctools 0.1-1
Date: Fri, 29 Nov 2013 17:00:08 +0000
Source: osmctools
Source-Version: 0.1-1

We believe that the bug you reported is fixed in the latest version of
osmctools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722429@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Blanc <pierreblanc75@gmail.com> (supplier of updated osmctools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Sep 2013 10:31:01 +0200
Source: osmctools
Binary: osmctools
Architecture: source amd64
Version: 0.1-1
Distribution: unstable
Urgency: low
Maintainer: Pierre Blanc <pierreblanc75@gmail.com>
Changed-By: Pierre Blanc <pierreblanc75@gmail.com>
Description: 
 osmctools  - Some tools to manipulate OpenStreetMap files
Closes: 722429
Changes: 
 osmctools (0.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #722429)
   * Add VCS-* fields
   * Use --with autoreconf
   * debian/control Give a better description
   * Docs: fix man-pages mistakes.
Checksums-Sha1: 
 939c435343ba14444c47c0b5b4720a427ee54b87 1229 osmctools_0.1-1.dsc
 6bdb189a1045a4e78b45847cfe3de1061d20a4df 108520 osmctools_0.1.orig.tar.xz
 a35c18868e732e7204f3d2033b8f568ca4ae40fb 22770 osmctools_0.1-1.debian.tar.gz
 5d1c106a3ed1cd2389c285bc19e465b62240f4e7 115628 osmctools_0.1-1_amd64.deb
Checksums-Sha256: 
 cb1bb816e02750d7256590dbb71202e56a3447217c7120e59308c8c96a715d2b 1229 osmctools_0.1-1.dsc
 2f69c13d7e71f1bdb171d9a8cac485fae2d9f98212940f3e4e9a3fdf527261e9 108520 osmctools_0.1.orig.tar.xz
 93e299a16a3ef01662a895b9e6eb1f13492dbee198b89ca4c626806ef34bc8b0 22770 osmctools_0.1-1.debian.tar.gz
 fe17252d68fd71641e98c9c3955642eb0e51916ac206d963ee31b8529259fb10 115628 osmctools_0.1-1_amd64.deb
Files: 
 5c1a1164b40ea108a59ebaa100261a6d 1229 utils extra osmctools_0.1-1.dsc
 ea722211cff692a68443a684abf8282f 108520 utils extra osmctools_0.1.orig.tar.xz
 32e89b836ad1aa0839333de57f6abd42 22770 utils extra osmctools_0.1-1.debian.tar.gz
 b56ed4e54e6a4411e25a6d3965f82f10 115628 utils extra osmctools_0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJ3xT0ACgkQYDBbMcCf01r+YgCeOcMqWVKPxSNWH0gMXzQc8vCo
/qwAoMM+KfuHlIDbGk0NASkod/aCg7pI
=ysnc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:30:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:20:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.